# 掘金MCP服务器 - 完整文档

🚀 **为AI助手提供掘金内容智能分析能力的专业文档**

## 📚 文档导航

### 🚀 新手入门

| 文档                              | 描述                       | 预计时间    |
| --------------------------------- | -------------------------- | ----------- |
| [快速上手](./quick-start.md)      | 5分钟快速体验              | ⏱️ 5分钟    |
| [安装指南](./installation.md)     | 详细安装和配置步骤         | ⏱️ 10分钟   |
| [MCP客户端配置](./mcp-clients.md) | Cursor、Claude Desktop配置 | ⏱️ 5分钟    |
| [常见问题](./faq.md)              | 30个常见问题解答           | ⏱️ 随时查阅 |

### 🛠️ 工具文档

| 分类        | 工具数量 | 文档链接                               | 推荐指数   |
| ----------- | -------- | -------------------------------------- | ---------- |
| 📝 文章工具 | 7个      | [详细文档](./tools/articles.md)        | ⭐⭐⭐⭐⭐ |
| 📌 沸点工具 | 5个      | [详细文档](./tools/pins.md)            | ⭐⭐⭐⭐   |
| 📊 分析工具 | 9个      | [详细文档](./tools/analytics.md)       | ⭐⭐⭐⭐⭐ |
| 🎯 推荐工具 | 7个      | [详细文档](./tools/recommendations.md) | ⭐⭐⭐⭐⭐ |
| 👤 用户工具 | 6个      | [详细文档](./tools/users.md)           | ⭐⭐⭐     |
| ⚡ 性能工具 | 5个      | [详细文档](./tools/performance.md)     | ⭐⭐⭐     |

**📋 [工具完整列表](./tools/README.md)** - 34个专业工具详细说明

### 💡 使用指南

| 指南类型                               | 内容概述               | 适用人群   |
| -------------------------------------- | ---------------------- | ---------- |
| [使用场景](./usage/scenarios.md)       | 10个典型使用场景和示例 | 所有用户   |
| [最佳实践](./usage/best-practices.md)  | 推荐使用方式和优化技巧 | 进阶用户   |
| [故障排除](./usage/troubleshooting.md) | 常见问题快速解决方案   | 遇到问题时 |

### 🔧 开发文档

| 文档                           | 内容                   | 目标读者 |
| ------------------------------ | ---------------------- | -------- |
| [贡献指南](../CONTRIBUTING.md) | 参与项目开发的完整指南 | 开发者   |
| [更新日志](../CHANGELOG.md)    | 版本更新记录           | 所有用户 |

## 🎯 快速导航

### 📖 按使用目的查找

**🚀 我是新用户，想快速开始**
→ [快速上手](./quick-start.md) → [MCP客户端配置](./mcp-clients.md)

**🛠️ 我想了解具体工具**
→ [工具完整列表](./tools/README.md) → 选择感兴趣的工具分类

**💡 我想学习使用技巧**
→ [使用场景](./usage/scenarios.md) → [最佳实践](./usage/best-practices.md)

**🔧 我遇到了问题**
→ [常见问题](./faq.md) → [故障排除](./usage/troubleshooting.md)

**👨‍💻 我想参与开发**
→ [贡献指南](../CONTRIBUTING.md) → [GitHub项目](https://github.com/h7ml/juejin-mcp-server)

### 📊 文档统计

- **📄 总文档数**: 15+ 个详细文档
- **🛠️ 工具覆盖**: 34个专业工具
- **💡 使用场景**: 10个典型场景
- **❓ 问题解答**: 30个常见问题
- **⏱️ 学习时间**: 新手30分钟上手

## 🤝 获取帮助

### 📚 自助解决

1. **查看FAQ** - [30个常见问题](./faq.md)
2. **搜索文档** - 使用Ctrl+F搜索关键词
3. **运行诊断** - `npx juejin-mcp-server --health`

### 🌐 社区支持

1. **GitHub Issues** - [报告问题](https://github.com/h7ml/juejin-mcp-server/issues)
2. **GitHub Discussions** - [参与讨论](https://github.com/h7ml/juejin-mcp-server/discussions)
3. **项目主页** - [查看最新信息](https://github.com/h7ml/juejin-mcp-server)

## 📝 文档贡献

**我们欢迎您改进文档！**

### 🔧 如何贡献

1. Fork [项目仓库](https://github.com/h7ml/juejin-mcp-server)
2. 在 `docs/` 目录下编辑或添加文档
3. 提交 Pull Request

### 📋 贡献指南

- 使用Markdown格式
- 遵循现有文档风格
- 提供清晰的示例
- 保持内容准确和最新

---

**📖 开始探索文档，让AI助手拥有掘金内容分析能力！** 🚀

_最后更新: 2025-07-03_
